Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.io
Class CAD

    java.lang.Object
      com.licel.jcardsim.io.CAD

    public class CAD

extends Object

Card Acceptance Device (CAD)

Field Summary
`static byte` | `INTERNAL`
`static byte` | `JAVAX_SMARTCARDIO`
`static byte` | `RMI`

Constructor Summary
`CAD(Properties params)`

Method Summary
`CardInterface` | `getCardInterface()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERNAL

    public static final byte INTERNAL

See Also:
  Constant Field Values

### RMI

    public static final byte RMI

See Also:
  Constant Field Values

### JAVAX_SMARTCARDIO

    public static final byte JAVAX_SMARTCARDIO

See Also:
  Constant Field Values

Constructor Detail

### CAD

    public CAD(Properties params)

Method Detail

### getCardInterface

    public CardInterface getCardInterface()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD